LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07827Bug reports[All Projects] Data Entry (non public)public2013-05-12 01:082013-06-09 16:43
Reporterjustin 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.00+ 
Summary07827: Ampersand in End Url gets converted to & for non-admins
DescriptionIf I try to place an End Url like this:
http://www.blah.com/ddd.aspx?a=1&b=2 [^]

then if I'm logged in as a normal user, with just Create Survey privileges, it gets saved as this:
http://www.blah.com/ddd.aspx?a=1&b=2 [^]
(notice the & between 1 and b instead of &)

If I'm logged in as a full admin, it saves properly as this:
http://www.blah.com/ddd.aspx?a=1&b=2 [^]
Additional InformationThis was tested on demo.limesurvey.org
I will donate to the project if issue is resolved within 48 hrs
LimeSurvey build number OR git commit ID
Browser
Database & DB-Version
Operating System (Server)
Webserver software & version
PHP Version
Attached Files

- Relationships

-  Notes
User avatar (25225)
justin (reporter)
2013-05-12 01:11

It appears in the bug reporting system is not converting the HTML tag, so I'll use spaces to delimit it:

The & between 1 and b gets converted to & amp ; (without spaces), when editing the End URL as a non-admin.

http://www.blah.com/ddd.aspx?a=1& [^] amp ; b=2
User avatar (25247)
c_schmitz (administrator)
2013-05-14 14:27

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12420 [^]
User avatar (25250)
c_schmitz (administrator)
2013-05-14 14:38

Version 2.0 Build 130514 released
User avatar (25272)
justin (reporter)
2013-05-15 20:52

This does not appear to be fixed. I justin tested on demo.limesurvey.org, and also on an on-site installation where the customer says they upgraded to the latest version from yesterday (130514). In both places, if I'm in as a normal user with Create Survey privileges, it still puts in & amp ; when saving the End URL.
User avatar (25288)
c_schmitz (administrator)
2013-05-17 13:57

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12436 [^]
User avatar (25321)
justin (reporter)
2013-05-21 02:27

I tested this on demo.limesurvey.org and it now appears to be fixed.

When will this fix be released in the general release? I see build 130514, dated May 14, is on the download page, but this fix was made on May 17, so I presume it's not in that build.
User avatar (25373)
c_schmitz (administrator)
2013-05-26 21:06

New version 2.00+ Build 130526 released
User avatar (25481)
c_schmitz (administrator)
2013-06-09 15:54

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12534 [^]
User avatar (25483)
c_schmitz (administrator)
2013-06-09 16:43

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12537 [^]

- Related Changesets
LimeSurvey: master 992c49a5
Timestamp: 2013-05-14 12:26:36
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 07827: Ampersands in end url are encoded for non-admins
mod - application/controllers/admin/database.php Diff ] File ]
LimeSurvey: 2.05 dbd305b3
Timestamp: 2013-05-14 12:26:36
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 07827: Ampersands in end url are encoded for non-admins
mod - application/controllers/admin/database.php Diff ] File ]
LimeSurvey: master 69baf09a
Timestamp: 2013-05-17 11:57:38
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 07827: Ampersands in end url are encoded for non-admins
mod - application/controllers/admin/database.php Diff ] File ]
mod - application/core/LSYii_Validators.php Diff ] File ]
LimeSurvey: 2.05 d80fc09f
Timestamp: 2013-05-17 11:57:38
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 07827: Ampersands in end url are encoded for non-admins
mod - application/controllers/admin/database.php Diff ] File ]
mod - application/core/LSYii_Validators.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-05-12 01:08 justin New Issue
2013-05-12 01:11 justin Note Added: 25225
2013-05-14 14:03 DenisChenu Project Feature requests => Bug reports
2013-05-14 14:24 c_schmitz Assigned To => c_schmitz
2013-05-14 14:24 c_schmitz Status new => assigned
2013-05-14 14:25 c_schmitz Status assigned => resolved
2013-05-14 14:25 c_schmitz Fixed in Version => 2.00+
2013-05-14 14:25 c_schmitz Resolution open => fixed
2013-05-14 14:27 c_schmitz Changeset attached => LimeSurvey master 992c49a5
2013-05-14 14:27 c_schmitz Note Added: 25247
2013-05-14 14:38 c_schmitz Note Added: 25250
2013-05-14 14:38 c_schmitz Status resolved => closed
2013-05-15 20:52 justin Note Added: 25272
2013-05-15 20:52 justin Status closed => feedback
2013-05-15 20:52 justin Resolution fixed => reopened
2013-05-17 13:57 c_schmitz Changeset attached => LimeSurvey master 69baf09a
2013-05-17 13:57 c_schmitz Note Added: 25288
2013-05-17 13:58 c_schmitz Status feedback => resolved
2013-05-17 13:58 c_schmitz Resolution reopened => fixed
2013-05-21 02:27 justin Note Added: 25321
2013-05-26 21:06 c_schmitz Note Added: 25373
2013-05-26 21:06 c_schmitz Status resolved => closed
2013-06-09 15:54 c_schmitz Changeset attached => LimeSurvey 2.05 dbd305b3
2013-06-09 15:54 c_schmitz Note Added: 25481
2013-06-09 16:43 c_schmitz Changeset attached => LimeSurvey 2.05 d80fc09f
2013-06-09 16:43 c_schmitz Note Added: 25483


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker